CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2015-5370

Samba 3.x and 4.x before 4.2.11, 4.3.x before 4.3.8, and 4.4.x before 4.4.2 does not properly implement the DCE-RPC layer, which allows remote attackers to perform protocol-downgrade attacks, cause a denial of service (application crash or CPU consumption), or possibly execute arbitrary code on a client system via unspecified vectors.
Publish Date : 2016-04-24 Last Update Date : 2016-12-02
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceExecute Code
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2016:0611: samba security update (Critical) oval:com.redhat.rhsa:def:20160611 unix
RHSA-2016:0612: samba and samba4 security, bug fix, and enhancement update (Critical) oval:com.redhat.rhsa:def:20160612 unix
RHSA-2016:0613: samba3x security update (Critical) oval:com.redhat.rhsa:def:20160613 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2015-5370

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 14.04 ~~lts~~~ Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 15.10 Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 16.04 ~~lts~~~ Version Details Vulnerabilities
4 Application Samba Samba 3.6.0 Version Details Vulnerabilities
5 Application Samba Samba 3.6.1 Version Details Vulnerabilities
6 Application Samba Samba 3.6.2 Version Details Vulnerabilities
7 Application Samba Samba 3.6.3 Version Details Vulnerabilities
8 Application Samba Samba 3.6.4 Version Details Vulnerabilities
9 Application Samba Samba 3.6.5 Version Details Vulnerabilities
10 Application Samba Samba 3.6.6 Version Details Vulnerabilities
11 Application Samba Samba 3.6.7 Version Details Vulnerabilities
12 Application Samba Samba 3.6.8 Version Details Vulnerabilities
13 Application Samba Samba 3.6.9 Version Details Vulnerabilities
14 Application Samba Samba 3.6.10 Version Details Vulnerabilities
15 Application Samba Samba 3.6.11 Version Details Vulnerabilities
16 Application Samba Samba 3.6.12 Version Details Vulnerabilities
17 Application Samba Samba 3.6.13 Version Details Vulnerabilities
18 Application Samba Samba 3.6.14 Version Details Vulnerabilities
19 Application Samba Samba 3.6.15 Version Details Vulnerabilities
20 Application Samba Samba 3.6.16 Version Details Vulnerabilities
21 Application Samba Samba 3.6.17 Version Details Vulnerabilities
22 Application Samba Samba 3.6.18 Version Details Vulnerabilities
23 Application Samba Samba 3.6.19 Version Details Vulnerabilities
24 Application Samba Samba 3.6.20 Version Details Vulnerabilities
25 Application Samba Samba 3.6.21 Version Details Vulnerabilities
26 Application Samba Samba 3.6.22 Version Details Vulnerabilities
27 Application Samba Samba 3.6.23 Version Details Vulnerabilities
28 Application Samba Samba 3.6.24 Version Details Vulnerabilities
29 Application Samba Samba 3.6.25 Version Details Vulnerabilities
30 Application Samba Samba 4.0.0 Version Details Vulnerabilities
31 Application Samba Samba 4.0.1 Version Details Vulnerabilities
32 Application Samba Samba 4.0.2 Version Details Vulnerabilities
33 Application Samba Samba 4.0.3 Version Details Vulnerabilities
34 Application Samba Samba 4.0.4 Version Details Vulnerabilities
35 Application Samba Samba 4.0.5 Version Details Vulnerabilities
36 Application Samba Samba 4.0.6 Version Details Vulnerabilities
37 Application Samba Samba 4.0.7 Version Details Vulnerabilities
38 Application Samba Samba 4.0.8 Version Details Vulnerabilities
39 Application Samba Samba 4.0.9 Version Details Vulnerabilities
40 Application Samba Samba 4.0.10 Version Details Vulnerabilities
41 Application Samba Samba 4.0.11 Version Details Vulnerabilities
42 Application Samba Samba 4.0.12 Version Details Vulnerabilities
43 Application Samba Samba 4.0.13 Version Details Vulnerabilities
44 Application Samba Samba 4.0.14 Version Details Vulnerabilities
45 Application Samba Samba 4.0.15 Version Details Vulnerabilities
46 Application Samba Samba 4.0.16 Version Details Vulnerabilities
47 Application Samba Samba 4.0.17 Version Details Vulnerabilities
48 Application Samba Samba 4.0.18 Version Details Vulnerabilities
49 Application Samba Samba 4.0.19 Version Details Vulnerabilities
50 Application Samba Samba 4.0.20 Version Details Vulnerabilities
51 Application Samba Samba 4.0.21 Version Details Vulnerabilities
52 Application Samba Samba 4.0.22 Version Details Vulnerabilities
53 Application Samba Samba 4.0.23 Version Details Vulnerabilities
54 Application Samba Samba 4.0.24 Version Details Vulnerabilities
55 Application Samba Samba 4.0.25 Version Details Vulnerabilities
56 Application Samba Samba 4.0.26 Version Details Vulnerabilities
57 Application Samba Samba 4.1.0 Version Details Vulnerabilities
58 Application Samba Samba 4.1.1 Version Details Vulnerabilities
59 Application Samba Samba 4.1.2 Version Details Vulnerabilities
60 Application Samba Samba 4.1.3 Version Details Vulnerabilities
61 Application Samba Samba 4.1.4 Version Details Vulnerabilities
62 Application Samba Samba 4.1.5 Version Details Vulnerabilities
63 Application Samba Samba 4.1.6 Version Details Vulnerabilities
64 Application Samba Samba 4.1.7 Version Details Vulnerabilities
65 Application Samba Samba 4.1.8 Version Details Vulnerabilities
66 Application Samba Samba 4.1.9 Version Details Vulnerabilities
67 Application Samba Samba 4.1.10 Version Details Vulnerabilities
68 Application Samba Samba 4.1.11 Version Details Vulnerabilities
69 Application Samba Samba 4.1.12 Version Details Vulnerabilities
70 Application Samba Samba 4.1.13 Version Details Vulnerabilities
71 Application Samba Samba 4.1.14 Version Details Vulnerabilities
72 Application Samba Samba 4.1.15 Version Details Vulnerabilities
73 Application Samba Samba 4.1.16 Version Details Vulnerabilities
74 Application Samba Samba 4.1.17 Version Details Vulnerabilities
75 Application Samba Samba 4.1.18 Version Details Vulnerabilities
76 Application Samba Samba 4.1.19 Version Details Vulnerabilities
77 Application Samba Samba 4.1.20 Version Details Vulnerabilities
78 Application Samba Samba 4.1.21 Version Details Vulnerabilities
79 Application Samba Samba 4.1.22 Version Details Vulnerabilities
80 Application Samba Samba 4.1.23 Version Details Vulnerabilities
81 Application Samba Samba 4.2.0 RC3 Version Details Vulnerabilities
82 Application Samba Samba 4.2.0 RC2 Version Details Vulnerabilities
83 Application Samba Samba 4.2.0 RC1 Version Details Vulnerabilities
84 Application Samba Samba 4.2.0 RC4 Version Details Vulnerabilities
85 Application Samba Samba 4.2.1 Version Details Vulnerabilities
86 Application Samba Samba 4.2.2 Version Details Vulnerabilities
87 Application Samba Samba 4.2.3 Version Details Vulnerabilities
88 Application Samba Samba 4.2.4 Version Details Vulnerabilities
89 Application Samba Samba 4.2.5 Version Details Vulnerabilities
90 Application Samba Samba 4.2.6 Version Details Vulnerabilities
91 Application Samba Samba 4.2.7 Version Details Vulnerabilities
92 Application Samba Samba 4.2.8 Version Details Vulnerabilities
93 Application Samba Samba 4.2.9 Version Details Vulnerabilities
94 Application Samba Samba 4.3.0 Version Details Vulnerabilities
95 Application Samba Samba 4.3.1 Version Details Vulnerabilities
96 Application Samba Samba 4.3.2 Version Details Vulnerabilities
97 Application Samba Samba 4.3.3 Version Details Vulnerabilities
98 Application Samba Samba 4.3.4 Version Details Vulnerabilities
99 Application Samba Samba 4.3.5 Version Details Vulnerabilities
100 Application Samba Samba 4.3.6 Version Details Vulnerabilities
101 Application Samba Samba 4.4.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 3
Samba Samba 98

- References For CVE-2015-5370

http://www.ubuntu.com/usn/USN-2950-2
UBUNTU USN-2950-2
http://www.ubuntu.com/usn/USN-2950-3
UBUNTU USN-2950-3
https://www.samba.org/samba/latest_news.html#4.4.2 CONFIRM
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05162399 CONFIRM
https://www.samba.org/samba/security/CVE-2015-5370.html CONFIRM
https://www.samba.org/samba/history/samba-4.2.10.html CONFIRM
http://www.ubuntu.com/usn/USN-2950-5
UBUNTU USN-2950-5
https://bto.bluecoat.com/security-advisory/sa122 CONFIRM
http://www.slackware.com/security/viewer.php?l=slackware-security&y=2016&m=slackware-security.458012
SLACKWARE SSA:2016-106-02
http://www.ubuntu.com/usn/USN-2950-4
UBUNTU USN-2950-4
http://www.ubuntu.com/usn/USN-2950-1
UBUNTU USN-2950-1
http://rhn.redhat.com/errata/RHSA-2016-0624.html
REDHAT RHSA-2016:0624
http://www.securitytracker.com/id/1035533
SECTRACK 1035533
http://www.oracle.com/technetwork/topics/security/linuxbulletinapr2016-2952096.html CONFIRM
http://www.debian.org/security/2016/dsa-3548
DEBIAN DSA-3548
http://rhn.redhat.com/errata/RHSA-2016-0620.html
REDHAT RHSA-2016:0620
http://rhn.redhat.com/errata/RHSA-2016-0619.html
REDHAT RHSA-2016:0619
http://rhn.redhat.com/errata/RHSA-2016-0618.html
REDHAT RHSA-2016:0618
http://rhn.redhat.com/errata/RHSA-2016-0614.html
REDHAT RHSA-2016:0614
http://rhn.redhat.com/errata/RHSA-2016-0613.html
REDHAT RHSA-2016:0613
http://rhn.redhat.com/errata/RHSA-2016-0612.html
REDHAT RHSA-2016:0612
http://rhn.redhat.com/errata/RHSA-2016-0611.html
REDHAT RHSA-2016:0611
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00048.html
SUSE openSUSE-SU-2016:1107
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00047.html
SUSE openSUSE-SU-2016:1106
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00042.html
SUSE openSUSE-SU-2016:1064
http://lists.fedoraproject.org/pipermail/package-announce/2016-April/182288.html
FEDORA FEDORA-2016-383fce04e2
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00020.html
SUSE SUSE-SU-2016:1022
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00021.html
SUSE SUSE-SU-2016:1023
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00022.html
SUSE SUSE-SU-2016:1024
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00023.html
SUSE openSUSE-SU-2016:1025
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00024.html
SUSE SUSE-SU-2016:1028
http://badlock.org/
http://lists.fedoraproject.org/pipermail/package-announce/2016-April/182185.html
FEDORA FEDORA-2016-be53260726
http://lists.fedoraproject.org/pipermail/package-announce/2016-April/182272.html
FEDORA FEDORA-2016-48b3761baa

- Metasploit Modules Related To CVE-2015-5370

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.